#ifndef GDBRESULT_H
#define GDBRESULT_H

enum _GDBResultClass
{
  GDBUnknownResult = 0,
  GDBDoneResult,
  GDBRunningResult,
  GDBConnectedResult,
  GDBErrorResult,
  GDBExitResult,
  GDBStoppedResult
};
typedef enum _GDBResultClass GDBResultClass;

@class NSObject;
@class NSDictionary;

@interface GDBResult : NSObject
{
  GDBResultClass resultClass;
  NSDictionary *records;
}

- (id) initWithResultClass:(GDBResultClass)cl
  records:(NSDictionary*)records;
- (void) dealloc;

- (GDBResultClass) resultClass;
- (NSDictionary*) records;
@end

#endif /* GDBRESULT_H */
