#include <Foundation/NSString.h>
#include <Foundation/NSDictionary.h>

#include "GDBResult.h"

@implementation GDBResult

- (id) initWithResultClass:(GDBResultClass)cl
  records:(NSDictionary*)resultRecords
{
  if (!(self = [super init]))
    return nil;

  resultClass = cl;
  records = RETAIN(resultRecords);

  return self;
}

- (void) dealloc
{
  RELEASE(records);
  [super dealloc];
}

- (GDBResultClass) resultClass
{
  return resultClass;
}

- (NSDictionary*) records
{
  return records;
}

@end
